package com.d4;

import org.openintents.hardware.Sensors;
import org.openintents.provider.Hardware;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Test extends Activity {
    /** Called when the activity is first created. */
	
	/** 
     * Shake detection threshold.
     */
    public float accelerometer_shake_threshold = 1.2f;
    
    int mACCELEROMETER_SHAKE_THRESHOLD_SQUARE;
    
    /**
     * Internal conversion factor for faster processing.
     */
    static final int ACCELEROMETER_FLOAT_TO_INT = 1024;
    
	AccelerometerReader myAcReader2;
	double d1;
	double d2;
	double d3;
    @Override
    public void onCreate(Bundle icicle) {
    	android.util.Log.i("ONE", "activity started");
        super.onCreate(icicle);
        setContentView(R.layout.main);
        	
        /**Before calling any of the Simulator data,
        the Content resolver has to be set !!
        Do this early in your onCreate() function.
       */
       Hardware.mContentResolver = getContentResolver();
                                 
       /** button for starting the sensor simulator */
       Button start = (Button) findViewById(R.id.button);
       start.setOnClickListener(new OnClickListener(){
    	   
    	   public void onClick(View arg0) {
				
    		   android.util.Log.i("TWO", "button clicked");
			  
			   /**set the Ip address and port number*/
    		   
    		   Hardware.setPreference(Hardware.IPADDRESS,"10.4.73.130" );
    		   Hardware.setPreference(Hardware.SOCKET,"8010");
    		   
    		   /**Now you can connect to the SensorSimulator*/
				 
    		   Sensors.connectSimulator();
				 
    		   android.util.Log.i("THREE", "connected to simulator");
    		   android.util.Log.i("THREE", "start initialization");
				
    		   myAcReader2 = new AccelerometerReader(true);
    		   
    		   android.util.Log.i("NINE", "completed initialization");
  				
    		   /**
    		    * Threshold square
    		    */
  				
    		   int t = (int)(ACCELEROMETER_FLOAT_TO_INT * accelerometer_shake_threshold);
		    	mACCELEROMETER_SHAKE_THRESHOLD_SQUARE = t * t;
  				
		       /**
		        *  Read all the inputs for [x,y,x] from file
 				*/
				
		    	for ( int j = 1; j < 21; j++){// for starts
				
		       /**
				*  vals stores the three accelerometer values
				*/
							
							
				float[] vals = myAcReader2.readAccelerometer();         
		        d1=vals[0];
		        d2=vals[1];
		        d3=vals[2];
		 		     
		 		android.util.Log.i("Answer",String.valueOf(d1));
		 		android.util.Log.i("Answer",String.valueOf(d2));
		 	    android.util.Log.i("Answer",String.valueOf(d3));
		 		
		 	    int ax = (int)(ACCELEROMETER_FLOAT_TO_INT * vals[0]);
				int ay = (int)(ACCELEROMETER_FLOAT_TO_INT * vals[1]);
				int az = (int)(ACCELEROMETER_FLOAT_TO_INT * vals[2]);
				
				int len2 = ax * ax + ay * ay + az * az;
				android.util.Log.i("LEN is",Integer.toString(len2));
				
				if (len2 > mACCELEROMETER_SHAKE_THRESHOLD_SQUARE) {
					android.util.Log.i("SHAKE","shake detected");
						EditText et =(EditText)findViewById(R.id.edittxt);
						et.setText("");
					}
		        
				       }						
 			
 			
    	   }
       });
       
    }
    
}